package com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope.view;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_NUM_PROJECT"
)
public class TNumProject extends TBaseEntity {
   private String project_name;
   private String description_num;
   private String datasystem_num;
   private String schema_num;
   private String table_num;
   private String field_num;
   private String description_type;

   public String getProject_name() {
      return this.project_name;
   }

   public void setProject_name(String project_name) {
      this.project_name = project_name;
   }

   public String getDescription_num() {
      return this.description_num;
   }

   public void setDescription_num(String description_num) {
      this.description_num = description_num;
   }

   public String getDatasystem_num() {
      return this.datasystem_num;
   }

   public void setDatasystem_num(String datasystem_num) {
      this.datasystem_num = datasystem_num;
   }

   public String getSchema_num() {
      return this.schema_num;
   }

   public void setSchema_num(String schema_num) {
      this.schema_num = schema_num;
   }

   public String getTable_num() {
      return this.table_num;
   }

   public void setTable_num(String table_num) {
      this.table_num = table_num;
   }

   public String getField_num() {
      return this.field_num;
   }

   public void setField_num(String field_num) {
      this.field_num = field_num;
   }

   public String getDescription_type() {
      return this.description_type;
   }

   public void setDescription_type(String description_type) {
      this.description_type = description_type;
   }
}
